Package org.apache.sysds.runtime.compress.colgroup.scheme

## Class EmptyScheme

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.scheme.EmptyScheme

All Implemented Interfaces:
  `ICLAScheme`

    public class EmptyScheme
    extends Object
    implements ICLAScheme

### Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

`LOG`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EmptyScheme` `create​(ColGroupEmpty g)`
`AColGroup` `encode​(MatrixBlock data)` Encode the given matrix block into the scheme provided in the instance.
`AColGroup` `encode​(MatrixBlock data, IColIndex columns)` Encode a given matrix block into the scheme provided in the instance but overwrite what columns to use.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static EmptyScheme create​(ColGroupEmpty g)

#### encode

    public AColGroup encode​(MatrixBlock data)

Description copied from interface: `ICLAScheme`
Encode the given matrix block into the scheme provided in the instance. The method returns null, if it is impossible to encode the input data with the given scheme.

Specified by:
  `encode` in interface `ICLAScheme`
Parameters:
  `data` - The data to encode
Returns:
  A compressed column group or null.

#### encode

    public AColGroup encode​(MatrixBlock data,
                            IColIndex columns)

Description copied from interface: `ICLAScheme`
Encode a given matrix block into the scheme provided in the instance but overwrite what columns to use. The method returns null, if it is impossible to encode the input data with the given scheme.

Specified by:
  `encode` in interface `ICLAScheme`
Parameters:
  `data` - The data to encode
  `columns` - The columns to apply the scheme to, but must be of same number than the encoded scheme
Returns:
  A compressed column group or null